Kwalitee Issues

No Core Issues.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • MooseX::Method::Signatures
  • MooseX::Role::Parameterized

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Test::Routine composable units of assertion 0.022 metacpan
Test::Routine::Common a role composed by all Test::Routine roles 0.022 metacpan
Test::Routine::Compositor the tool for turning test routines into runnable classes 0.022 metacpan
Test::Routine::Manual::Demo a walkthrough, in code, of Test::Routine 0.022 metacpan
Test::Routine::Runner tools for running Test::Routine tests 0.022 metacpan
Test::Routine::Test a test method in a Test::Routine role 0.022 metacpan
Test::Routine::Test::Role role providing test attributes 0.022 metacpan
Test::Routine::Util helpful exports for dealing with test routines 0.022 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
dist.ini metacpan